Subject: bug#13167: 24.3.50; C-x right C-x left interferes with buffer order

From: Juri Linkov <[email-masked]>
Date: Mon, 17 Dec 2012 11:35:31 +0200

>> I believe C-x right and C-x left should be special to not affect the
>> logic of "try taking the buffer that has been shown in that window
>> before the present one".
>
> I'm not sure what this means to do instead.  Have `quit-window' not show
> a buffer if it appears on `window-next-buffers'?

Thanks, this sounds right.

> What happens if you turn the form
>
> 		   (or bury-or-kill (not (memq buffer next-buffers))))
>
> in `switch-to-prev-buffer' into
>
> 		   (not (memq buffer next-buffers)))

I tried to do this but with no effect.  Then I also turned

		   (or bury-or-kill (not (memq new-buffer next-buffers))))

in `switch-to-prev-buffer' into

		   (not (memq new-buffer next-buffers)))

and it works as expected.  Not sure about possible side-effects,
have to test this change more.